#ifndef __el_blockaddress_h
#define __el_blockaddress_h

#include "release.h"

#include <iostream>
#include "coordinate.h"

namespace PRJID {

class Block;
class Blockpick;

class Blockaddress {
	C3 pos;
	unsigned int level;
	C3 selected;
	Blockpick *pick;
	Block *current;
	Block *parent;
public:


	Blockaddress();

	Block *get_current();
	Block *get_parent();

	bool is_selected();
	void select(Blockaddress a);


	void descend(unsigned int i,Block *b=NULL);
	Blockaddress get_descend(unsigned int i,Block *b=NULL);

	void translate(unsigned int i);
	void ascend();

	void reset_pos();
	C3f get_pos();

	C3f scale_to_level(C3f p);
	float get_scale();


	void set_pick(Blockpick *p);
	// used for picking tests ... touches each block
	void touch();

	unsigned int get_level() { return level; }

	C3 get_int_pos();
};


} //namespace

#endif
