#ifndef __el__container_h
#define __el__container_h

#include <iostream>
#include <list>

#include "release.h"
#include "entitytype.h"

namespace PRJID {

class Entity;
class Game;

class Container {
	std::list <Entity *> entities;
	Game *game;
public:
	Container();
	~Container();

	void clear();
	void remove(unsigned int i);

	void add(Entity *e,bool special=false);

	Entity *create(e_entitytype t);

	void set_game(Game *g);
	Game *get_game() { return game; }
	
	void act(unsigned int ticks);
	void tick(unsigned int ticks);

	void draw();

};


} //namespace

#endif
