#ifndef __el__map_h
#define __el__map_h

#include <iostream>
#include "release.h"

#include "coordinate.h"
#include "block.h"

#include "SDL_opengl.h"

namespace PRJID {


class Map {
	Block block;
	Blockaddress selected;
	GLuint dl;
public:
	void gen_dl();
	void del_dl();

	void init(std::string name="");
	void draw();
	void debug_draw(bool color);

	void check();


	Blockaddress random();

	void select(unsigned int x,unsigned int y);

	void load(std::string name="save");
	void save();

	bool does_collide(C3f p,float size);

	void toggle_selected();
	void split_selected();
	void merge_selected();

	static void set_path(std::string p);
};


} //namespace

#endif
